Get Offer By ID
curl --request GET \
--url https://api.eflow.team/v1/partners/offers/{networkId}/{offerId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/partners/offers/{networkId}/{offerId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/partners/offers/{networkId}/{offerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/partners/offers/{networkId}/{offerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/partners/offers/{networkId}/{offerId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eflow.team/v1/partners/offers/{networkId}/{offerId}")
.header("X-Eflow-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/partners/offers/{networkId}/{offerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"network_offer_id": 123,
"network_id": 123,
"name": "<string>",
"offer_status": "active",
"thumbnail_url": "<string>",
"network_category_id": 123,
"preview_url": "<string>",
"currency_id": "<string>",
"html_description": "<string>",
"visibility": "public",
"is_caps_enabled": true,
"daily_conversion_cap": 123,
"weekly_conversion_cap": 123,
"monthly_conversion_cap": 123,
"global_conversion_cap": 123,
"daily_payout_cap": 123,
"weekly_payout_cap": 123,
"monthly_payout_cap": 123,
"global_payout_cap": 123,
"daily_click_cap": 123,
"weekly_click_cap": 123,
"monthly_click_cap": 123,
"global_click_cap": 123,
"tracking_url": "<string>",
"impression_tracking_url": "<string>",
"redirect_tracking_url": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015,
"app_identifier": "<string>",
"caps_timezone_id": 123,
"date_live_until": "<string>",
"is_description_plain_text": true,
"is_force_terms_and_conditions": true,
"is_use_direct_linking": true,
"is_using_explicit_terms_and_conditions": true,
"is_using_suppression_list": true,
"network_tracking_domain_id": 123,
"suppression_list_id": 123,
"terms_and_conditions": "<string>",
"relationship": {
"blocked_variables_count": 123,
"category": {
"network_category_id": 123,
"network_id": 123,
"name": "<string>",
"status": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015
},
"channels": {
"entries": [
{
"network_channel_id": 123,
"network_id": 123,
"name": "<string>",
"status": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015
}
],
"total": 123
},
"creative_bundle": {
"url": "<string>"
},
"creatives": {
"entries": [
{
"network_offer_creative_id": 123,
"network_id": 123,
"network_offer_id": 123,
"name": "<string>",
"creative_type": "<string>",
"creative_status": "<string>",
"width": 123,
"height": 123,
"resource_url": "<string>",
"html_code": "<string>",
"is_private": true,
"is_apply_specific_affiliates": true,
"email_subject": "<string>",
"email_subject_lines": "<string>",
"email_from": "<string>",
"email_from_lines": "<string>",
"additional_offer_ids": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015
}
],
"total": 123
},
"custom_payout_settings": {
"entries": [
{}
],
"total": 123
},
"email": {
"network_id": 123,
"network_offer_id": 123,
"is_enabled": true,
"from_lines": "<string>",
"subject_lines": "<string>"
},
"email_optout": {
"network_id": 123,
"network_offer_id": 123,
"is_enabled": true,
"unsub_link": "<string>",
"suppression_file_link": "<string>"
},
"integrations": {
"invoca": {
"enabled": true
},
"retreaver": {},
"ringa": {},
"ezepo": {},
"optizmo": {},
"unsubcentral": {}
},
"meta": {
"network_id": 123,
"network_offer_id": 123,
"meta_platform": "<string>",
"app_id": "<string>",
"bundle_id": "<string>",
"store_url": "<string>",
"category": "<string>",
"developer": "<string>",
"version": "<string>",
"size": 123,
"score_rating": 123,
"total_rating": 123,
"advertiser_campaign_name": "<string>",
"is_app_unavailable": true,
"time_app_data_saved": 1734455015,
"time_created": 1734455015,
"time_saved": 1734455015
},
"network": {
"network_id": 123,
"displayed_name": "<string>"
},
"offer_affiliate_status": "<string>",
"payouts": {
"entries": [
{
"network_offer_payout_revenue_id": 123,
"entry_name": "<string>",
"payout_type": "<string>",
"payout_amount": 123,
"payout_percentage": 123,
"is_default": true,
"is_enforce_caps": true,
"is_postback_disabled": true,
"network_custom_payout_revenue_setting_id": 123,
"custom_payout_overwrite": true
}
],
"total": 123
},
"remaining_caps": {
"remaining_daily_conversion_cap": 123,
"remaining_daily_payout_cap": 123,
"remaining_daily_click_cap": 123
},
"reporting": {
"imp": 123,
"total_click": 123,
"unique_click": 123,
"duplicate_click": 123,
"invalid_click": 123,
"cv": 123,
"event": 123,
"view_through_cv": 123,
"ctr": 123,
"cvr": 123,
"evr": 123,
"revenue": 123,
"rpc": 123,
"rpm": 123,
"on_hold_conversion_count": 123,
"on_hold_potential_revenue": 123,
"redirect_traffic_revenue": 123
},
"requirement_kpis": {
"entries": [
{}
],
"total": 123
},
"requirement_tracking_parameters": {
"entries": [
{}
],
"total": 123
},
"ruleset": {
"network_ruleset_id": 123,
"network_id": 123,
"is_block_proxy": true,
"is_use_day_parting": true,
"day_parting_apply_to": "<string>",
"day_parting_timezone_id": 123,
"days_parting": [
{}
],
"countries": [
{}
],
"regions": [
{}
],
"cities": [
{}
],
"dmas": [
{}
],
"postal_codes": [
{}
],
"ips": [
{}
],
"platforms": [
{
"network_targeting_platform_id": 123,
"network_id": 123,
"platform_id": 123,
"label": "<string>",
"match_type": "<string>",
"targeting_type": "<string>"
}
],
"os_versions": [
{
"network_targeting_os_version_id": 123,
"network_id": 123,
"os_version_id": 123,
"platform_id": 123,
"label": "<string>",
"match_type": "<string>",
"targeting_type": "<string>"
}
],
"browsers": [
{
"network_targeting_browser_id": 123,
"network_id": 123,
"browser_id": 123,
"label": "<string>",
"match_type": "<string>",
"targeting_type": "<string>"
}
],
"device_types": [
{
"network_targeting_device_type_id": 123,
"network_id": 123,
"device_type_id": 123,
"label": "<string>",
"match_type": "<string>",
"targeting_type": "<string>"
}
],
"brands": [
{}
],
"languages": [
{
"network_targeting_browser_language_id": 123,
"network_id": 123,
"browser_language_id": 123,
"label": "<string>",
"match_type": "<string>",
"targeting_type": "<string>"
}
],
"mobile_carriers": [
{}
],
"connection_types": [
{}
],
"isps": [
{}
],
"time_created": 1734455015,
"time_saved": 1734455015
},
"suppression_file_asset": {
"network_asset_id": 123,
"filename": "<string>",
"url": "<string>",
"content_type": "<string>",
"file_size": 123,
"image_width": 123,
"image_height": 123,
"optimized_thumbnail_url": "<string>"
},
"thumbnail_asset": {
"network_asset_id": 123,
"filename": "<string>",
"url": "<string>",
"content_type": "<string>",
"file_size": 123,
"image_width": 123,
"image_height": 123,
"optimized_thumbnail_url": "<string>"
},
"today_revenue": "<string>",
"urls": {
"entries": [
{
"network_offer_url_id": 123,
"network_id": 123,
"network_offer_id": 123,
"name": "<string>",
"preview_url": "<string>"
}
],
"total": 123
}
}
}Offers
Get Offer
GET
/
partners
/
offers
/
{networkId}
/
{offerId}
Get Offer By ID
curl --request GET \
--url https://api.eflow.team/v1/partners/offers/{networkId}/{offerId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/partners/offers/{networkId}/{offerId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/partners/offers/{networkId}/{offerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/partners/offers/{networkId}/{offerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/partners/offers/{networkId}/{offerId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eflow.team/v1/partners/offers/{networkId}/{offerId}")
.header("X-Eflow-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/partners/offers/{networkId}/{offerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"network_offer_id": 123,
"network_id": 123,
"name": "<string>",
"offer_status": "active",
"thumbnail_url": "<string>",
"network_category_id": 123,
"preview_url": "<string>",
"currency_id": "<string>",
"html_description": "<string>",
"visibility": "public",
"is_caps_enabled": true,
"daily_conversion_cap": 123,
"weekly_conversion_cap": 123,
"monthly_conversion_cap": 123,
"global_conversion_cap": 123,
"daily_payout_cap": 123,
"weekly_payout_cap": 123,
"monthly_payout_cap": 123,
"global_payout_cap": 123,
"daily_click_cap": 123,
"weekly_click_cap": 123,
"monthly_click_cap": 123,
"global_click_cap": 123,
"tracking_url": "<string>",
"impression_tracking_url": "<string>",
"redirect_tracking_url": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015,
"app_identifier": "<string>",
"caps_timezone_id": 123,
"date_live_until": "<string>",
"is_description_plain_text": true,
"is_force_terms_and_conditions": true,
"is_use_direct_linking": true,
"is_using_explicit_terms_and_conditions": true,
"is_using_suppression_list": true,
"network_tracking_domain_id": 123,
"suppression_list_id": 123,
"terms_and_conditions": "<string>",
"relationship": {
"blocked_variables_count": 123,
"category": {
"network_category_id": 123,
"network_id": 123,
"name": "<string>",
"status": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015
},
"channels": {
"entries": [
{
"network_channel_id": 123,
"network_id": 123,
"name": "<string>",
"status": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015
}
],
"total": 123
},
"creative_bundle": {
"url": "<string>"
},
"creatives": {
"entries": [
{
"network_offer_creative_id": 123,
"network_id": 123,
"network_offer_id": 123,
"name": "<string>",
"creative_type": "<string>",
"creative_status": "<string>",
"width": 123,
"height": 123,
"resource_url": "<string>",
"html_code": "<string>",
"is_private": true,
"is_apply_specific_affiliates": true,
"email_subject": "<string>",
"email_subject_lines": "<string>",
"email_from": "<string>",
"email_from_lines": "<string>",
"additional_offer_ids": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015
}
],
"total": 123
},
"custom_payout_settings": {
"entries": [
{}
],
"total": 123
},
"email": {
"network_id": 123,
"network_offer_id": 123,
"is_enabled": true,
"from_lines": "<string>",
"subject_lines": "<string>"
},
"email_optout": {
"network_id": 123,
"network_offer_id": 123,
"is_enabled": true,
"unsub_link": "<string>",
"suppression_file_link": "<string>"
},
"integrations": {
"invoca": {
"enabled": true
},
"retreaver": {},
"ringa": {},
"ezepo": {},
"optizmo": {},
"unsubcentral": {}
},
"meta": {
"network_id": 123,
"network_offer_id": 123,
"meta_platform": "<string>",
"app_id": "<string>",
"bundle_id": "<string>",
"store_url": "<string>",
"category": "<string>",
"developer": "<string>",
"version": "<string>",
"size": 123,
"score_rating": 123,
"total_rating": 123,
"advertiser_campaign_name": "<string>",
"is_app_unavailable": true,
"time_app_data_saved": 1734455015,
"time_created": 1734455015,
"time_saved": 1734455015
},
"network": {
"network_id": 123,
"displayed_name": "<string>"
},
"offer_affiliate_status": "<string>",
"payouts": {
"entries": [
{
"network_offer_payout_revenue_id": 123,
"entry_name": "<string>",
"payout_type": "<string>",
"payout_amount": 123,
"payout_percentage": 123,
"is_default": true,
"is_enforce_caps": true,
"is_postback_disabled": true,
"network_custom_payout_revenue_setting_id": 123,
"custom_payout_overwrite": true
}
],
"total": 123
},
"remaining_caps": {
"remaining_daily_conversion_cap": 123,
"remaining_daily_payout_cap": 123,
"remaining_daily_click_cap": 123
},
"reporting": {
"imp": 123,
"total_click": 123,
"unique_click": 123,
"duplicate_click": 123,
"invalid_click": 123,
"cv": 123,
"event": 123,
"view_through_cv": 123,
"ctr": 123,
"cvr": 123,
"evr": 123,
"revenue": 123,
"rpc": 123,
"rpm": 123,
"on_hold_conversion_count": 123,
"on_hold_potential_revenue": 123,
"redirect_traffic_revenue": 123
},
"requirement_kpis": {
"entries": [
{}
],
"total": 123
},
"requirement_tracking_parameters": {
"entries": [
{}
],
"total": 123
},
"ruleset": {
"network_ruleset_id": 123,
"network_id": 123,
"is_block_proxy": true,
"is_use_day_parting": true,
"day_parting_apply_to": "<string>",
"day_parting_timezone_id": 123,
"days_parting": [
{}
],
"countries": [
{}
],
"regions": [
{}
],
"cities": [
{}
],
"dmas": [
{}
],
"postal_codes": [
{}
],
"ips": [
{}
],
"platforms": [
{
"network_targeting_platform_id": 123,
"network_id": 123,
"platform_id": 123,
"label": "<string>",
"match_type": "<string>",
"targeting_type": "<string>"
}
],
"os_versions": [
{
"network_targeting_os_version_id": 123,
"network_id": 123,
"os_version_id": 123,
"platform_id": 123,
"label": "<string>",
"match_type": "<string>",
"targeting_type": "<string>"
}
],
"browsers": [
{
"network_targeting_browser_id": 123,
"network_id": 123,
"browser_id": 123,
"label": "<string>",
"match_type": "<string>",
"targeting_type": "<string>"
}
],
"device_types": [
{
"network_targeting_device_type_id": 123,
"network_id": 123,
"device_type_id": 123,
"label": "<string>",
"match_type": "<string>",
"targeting_type": "<string>"
}
],
"brands": [
{}
],
"languages": [
{
"network_targeting_browser_language_id": 123,
"network_id": 123,
"browser_language_id": 123,
"label": "<string>",
"match_type": "<string>",
"targeting_type": "<string>"
}
],
"mobile_carriers": [
{}
],
"connection_types": [
{}
],
"isps": [
{}
],
"time_created": 1734455015,
"time_saved": 1734455015
},
"suppression_file_asset": {
"network_asset_id": 123,
"filename": "<string>",
"url": "<string>",
"content_type": "<string>",
"file_size": 123,
"image_width": 123,
"image_height": 123,
"optimized_thumbnail_url": "<string>"
},
"thumbnail_asset": {
"network_asset_id": 123,
"filename": "<string>",
"url": "<string>",
"content_type": "<string>",
"file_size": 123,
"image_width": 123,
"image_height": 123,
"optimized_thumbnail_url": "<string>"
},
"today_revenue": "<string>",
"urls": {
"entries": [
{
"network_offer_url_id": 123,
"network_id": 123,
"network_offer_id": 123,
"name": "<string>",
"preview_url": "<string>"
}
],
"total": 123
}
}
}Retrieve a specific offer by its network ID and offer ID. Returns the full offer object with all relationship data.
Authorizations
Path Parameters
Query Parameters
Response
Was this page helpful?
